---
updatedAt: 2025-11-11T00:09:40.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Get Billers by Category

This endpoint retrieves a list of billers that belong to a specific category. The category parameter is used to filter the results so that only billers that fall into the specified category are returned.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "new-value-added-services",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://qa.interswitchng.com/quicktellerservice/api/v5"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/services?categoryId={id}": {
      "get": {
        "summary": "Get Billers by Category",
        "description": "This endpoint retrieves a list of billers that belong to a specific category. The category parameter is used to filter the results so that only billers that fall into the specified category are returned.",
        "operationId": "get-billers-by-category-2",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The identifier of the category to retrieve billers",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Terminalid",
            "in": "header",
            "description": "The unique identifier for the terminal making the request",
            "schema": {
              "type": "string",
              "default": "3pbl0001"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  billers: [\n    {\n      categoryid: \"3\",\n      categoryname: \"State Payments\",\n      categorydescription: \"Pay state taxes\",\n      billerid: \"303\",\n      billername: \"Abia State Infrastructural Development Agency\",\n      customerfield1: \"Customer No\",\n      customerfield2: \"\",\n      supportemail: \"quickteller@interswitchng.com\",\n      ...\n    }\n  ]\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl http://172.25.20.59/quicktellerservice/api/v5/services?categoryId=3 \\\n-H \"Authorization: Bearer <TOKEN>\" \\\n-H \"Content-Type: application/json\" \\\n-H \"TerminalID: <YOUR_TERMINAL_ID>\" \\\n-X GET"
            },
            {
              "language": "php",
              "code": "$curlInit = curl_init();\ncurl_setopt($curlInit, CURLOPT_HTTPHEADER, array(\n'Content-Type: application/json',\n'Authorization: ' . 'Bearer ' . <TOKEN>,\n'TerminalID: ' . <TERMINAL_ID>\n\n));\n\ncurl_setopt($curlInit, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($curlInit, CURLOPT_URL, 'http://172.25.20.59/quicktellerservice/api/v5/services?categoryId=<CATEGORY_ID>');\n\n$response = curl_exec($curlInit);\ncurl_close($curlInit);\nreturn $response;"
            },
            {
              "language": "javascript",
              "code": "const options = {\n  hostname: '172.25.20.59',\n  port: 443,\n  path: 'quicktellerservice/api/v5/services?categoryId=<category_id>',\n  method: 'GET',\n  headers: {\n    Authorization: 'Bearer ' + <TOKEN>,\n    'Content-Type': 'application/json',\n    'TerminalID': <TERMINAL_ID>\n  }\n};\n\n\nconst request = https.request(options, response => {\n  response.on('data', (chunk) => {\n    data += chunk;\n  })\n\n  response.on('end', () => {\n    console.log(JSON.parse(data));\n  });\n\n}).on('error', error => {\n  console.log('error: ', error);\n});\n\nrequest.end();"
            }
          ],
          "samples-languages": [
            "curl",
            "php",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```